POST Agents/ErpSync/GetErpSyncConnectorEntity
Some tooltip text!
• 2 minutes to read
• 2 minutes to read
POST /api/v1/Agents/ErpSync/GetErpSyncConnectorEntity
Gets a ErpSyncConnectorEntity object.
NsApiSlow threshold: 5000 ms.
Online Restricted: ## The ErpSync agent is not available in Online by default. Access must be requested specifically when app is registered. Intended for ERP integration apps.
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| erpSyncConnectorEntityId | int32 | Required The identifier of the ErpSyncConnectorEntity object |
| $select | string | Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields. |
POST /api/v1/Agents/ErpSync/GetErpSyncConnectorEntity?erpSyncConnectorEntityId=533
POST /api/v1/Agents/ErpSync/GetErpSyncConnectorEntity?$select=name,department,category/id
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Response:
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: ErpSyncConnectorEntity
| Property Name | Type | Description |
|---|---|---|
| ErpConnectorId | int32 | Primary key |
| DisplayName | string | Name shown in the list |
| URL | string | The URL where the connector is located and can be called |
| Deleted | bool | True if the connector is deleted |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
Sample request
POST /api/v1/Agents/ErpSync/GetErpSyncConnectorEntity
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: en
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
{
"ErpConnectorId": 547,
"DisplayName": "SAP Business One Connector",
"URL": "https://erp-connector.superoffice.com/sap-b1",
"Deleted": false,
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 906
}
}
}